Manual do PHP
Anterior |  | Próxima

# XMLReader::open

(no version information, might be only in CVS)

XMLReader::open -- Set the URI containing the XML to parse

## Descrição

class XMLReader {
bool open ( string URI [, string encoding [, int options]] )
}

Set the URI containing the XML document to be parsed.

## Parâmetros

`URI`

  URI pointing to the document.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the XMLReader Options constants.

## Valores de retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas.

## Histórico

Versão | Descrição
--- | ---
5.2.0 | `encoding` and `options` were added.

## Veja também

XMLReader::XML
XMLReader::close

Anterior | Principal | Próxima
XMLReader::next | Acima | XMLReader::read